---
sidebar_position: 10
description: Get calendar structure and other functions to work with Bitrix24 in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Bitrix24]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get calendar structure
 Returns the structure of the calendar description fields



`Function GetCalendarStructure(Val Clear = False) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Clear | --empty | Boolean | &#x2716; | True > structure with empty valuse, False > field descriptions at values |

  
  Returns:  Structure Of KeyAndValue - Fields structure



```bsl title="1C:Enterprise/OneScript code example"
    Result = OPI_Bitrix24.GetCalendarStructure();
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint bitrix24 GetCalendarStructure \
             --empty true
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint bitrix24 GetCalendarStructure ^
             --empty true
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "type": "<calendar type: user, group)>",
 "ownerId": "<owner identifier>",
 "name": "<calendars name>",
 "description": "<calendar description>",
 "color": "<calendar color>",
 "text_color": "<calendar text color>",
 "export": {
  "ALLOW": "<calendar export permission (bool)>",
  "SET": "<export period: all, 3_9 (example: 3 months before and 9 after)>"
 }
}
```
